<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Bank</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_masterdata::sidebar_masterdata" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Bank
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>
                Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
            </p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p>
                        <a
                                class="link-primary"
                                th:href="@{/masterdata/bank/new}"
                                role="button"
                        >Klik disini</a
                        >
                        jika anda ingin mendaftarkan data baru.
                    </p>
                </div>
                <div class="col-md-6" align="right"></div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input
                            class="form-control me-2"
                            type="text"
                            placeholder="Search"
                            name="search"
                            th:value="${search}"
                            aria-label="Search"
                    />
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br />
        </form>


        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead>

                        <tr>
                            <th class="border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Code</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Bank Name</th>

                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">
                        <tr th:each="dataBank,row : ${listBank}">
                            <td th:text="${(row.index + 1) + (listBank.number * listBank.size)}">1.</td>

                            <td th:text="${dataBank.kodeBank}">BEASISWA</td>
                            <td><a th:href="@{/masterdata/bank/edit(bank = ${dataBank.id})}" th:text="${dataBank.namaBank}" title="Edit"></a></td>
                            <td>

                                <form method="post" th:action="@{/masterdata/bank/delete(bank=${dataBank.id})}">
                                    <button type="submit" class="btn btn-danger btn-sm"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br />

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full"></ul>
                </nav>
            </div>
        </div>

    </main>


</main>
</body>
</html>